<!-- XDB DTD V0.4 -->
<!-- Copyright 1997, Palm Tree Books, Occidental, Calif. -->
<!-- This is a test distribution only.  DO NOT use it for serious
     work and BEWARE that it may well be faulty.  Specifically, the 
     copyright holder makes no representation about the suitability of 
     the DTD, or XML for that matter, for any purpose.  It is provided 
     "as is" without expressed or implied warranty.  

     Please direct all questions, bug reports, or suggestions for
     changes to Terry Allen, tallen@sonic.net.

     A later version of this DTD will probably be distributed by
     the Davenport Group.  

     The copyright notice for the Docbook DTD, from which this DTD
     is derived, appears immediately following.

     Note that this DTD covers only the RefEntry part of Docbook.
-->
<!-- Docbook is

     "Copyright 1992, 1993, 1994, 1995, 1996 HaL Computer Systems, Inc., 
     O'Reilly & Associates, Inc., ArborText, Inc., and Fujitsu Software
     Corporation.

     "Permission to use, copy, modify and distribute the DocBook DTD and
     its accompanying documentation for any purpose and without fee is
     hereby granted in perpetuity, provided that the above copyright
     notice and this paragraph appear in all copies.  The copyright
     holders make no representation about the suitability of the DTD for
     any purpose.  It is provided "as is" without expressed or implied
     warranty."
-->
<!ENTITY % xdbhier.redecl.module		"IGNORE">
<!ENTITY % xdbhier.redecl2.module	"IGNORE">
<![%xdbhier.redecl.module;[
%rdbhier;
]]>
<!ENTITY % refcomponent.mix
		"%list.class;		|%admon.class;
		|%linespecific.class;	|%synop.class;
		|%para.class;		|%informal.class;
		|%formal.class;		|%compound.class;
		|%genobj.class;		|%descobj.class;
		">
<!ENTITY % refname.char.mix
		"#PCDATA
		|%tech.char.class;
		">
<!ENTITY % refinline.char.mix
		"#PCDATA
		|%xref.char.class;	|%gen.char.class;
		|%link.char.class;	|%tech.char.class;
		|%base.char.class;	|%docinfo.char.class;
		|%other.char.class;
		">
<!ENTITY % refclass.char.mix
		"#PCDATA
		|Application
		">
<![%xdbhier.redecl2.module;[
%rdbhier2;
]]>
<!ENTITY % refsect.title.content
	"Title, TitleAbbrev?">
<!ENTITY % otherinfo.module "INCLUDE">
<![%otherinfo.module;[
<!ENTITY % otherinfo.role.attrib "%role.attrib;">
<!ELEMENT RefSect1Info  ((Graphic | LegalNotice | ModeSpec 
	| SubjectSet | KeywordSet | ITermSet | %bibliocomponent.mix;)+)
	>
<!ATTLIST RefSect1Info 
		%common.attrib;
		%otherinfo.role.attrib;
		
 >
<!ELEMENT RefSect2Info  ((Graphic | LegalNotice | ModeSpec 
	| SubjectSet | KeywordSet | ITermSet | %bibliocomponent.mix;)+)
	>
<!ATTLIST RefSect2Info 
		%common.attrib;
		%otherinfo.role.attrib;
		
 >
<!ELEMENT RefSect3Info  ((Graphic | LegalNotice | ModeSpec 
	| SubjectSet | KeywordSet | ITermSet | %bibliocomponent.mix;)+)
	>
<!ATTLIST RefSect3Info 
		%common.attrib;
		%otherinfo.role.attrib;
		
 >
<!ELEMENT RefSynopsisDivInfo  ((Graphic | LegalNotice | ModeSpec 
	| SubjectSet | KeywordSet | ITermSet | %bibliocomponent.mix;)+)
	>
<!ATTLIST RefSynopsisDivInfo 
		%common.attrib;
		%otherinfo.role.attrib;
		
 >
]]>
<!ENTITY % refentry.content.module "INCLUDE">
<![%refentry.content.module;[
<!ENTITY % refentry.module "INCLUDE">
<![%refentry.module;[
<!ENTITY % refentry.role.attrib "%role.attrib;">
<!ELEMENT RefEntry (DocInfo?, RefMeta?, (Comment|%link.char.class;)*,
		RefNameDiv, RefSynopsisDiv?, RefSect1+) >
<!ATTLIST RefEntry
		%status.attrib;
		%common.attrib;
		%refentry.role.attrib;
		
>
]]>
<!ENTITY % refmeta.module "INCLUDE">
<![%refmeta.module;[
<!ENTITY % refmeta.role.attrib "%role.attrib;">
<!ELEMENT RefMeta (RefEntryTitle, ManVolNum?, RefMiscInfo*)
		>
<!ATTLIST RefMeta
		%common.attrib;
		%refmeta.role.attrib;
		
>
]]>
<!ENTITY % refmiscinfo.module "INCLUDE">
<![%refmiscinfo.module;[
<!ENTITY % refmiscinfo.role.attrib "%role.attrib;">
<!ELEMENT RefMiscInfo (%docinfo.char.mix;)*>
<!ATTLIST RefMiscInfo
		
		Class		CDATA		#IMPLIED
		%common.attrib;
		%refmiscinfo.role.attrib;
		
>
]]>
<!ENTITY % refnamediv.module "INCLUDE">
<![%refnamediv.module;[
<!ENTITY % refnamediv.role.attrib "%role.attrib;">
<!ELEMENT RefNameDiv (RefDescriptor?, RefName+, RefPurpose, RefClass*,
		(Comment|%link.char.class;)*)>
<!ATTLIST RefNameDiv
		%common.attrib;
		%refnamediv.role.attrib;
		
>
]]>
	
<!ENTITY % refdescriptor.module "INCLUDE">
<![%refdescriptor.module;[
<!ENTITY % refdescriptor.role.attrib "%role.attrib;">
<!ELEMENT RefDescriptor (%refname.char.mix;)*>
<!ATTLIST RefDescriptor
		%common.attrib;
		%refdescriptor.role.attrib;
		
>
]]>
<!ENTITY % refname.module "INCLUDE">
<![%refname.module;[
<!ENTITY % refname.role.attrib "%role.attrib;">
<!ELEMENT RefName (%refname.char.mix;)*>
<!ATTLIST RefName
		%common.attrib;
		%refname.role.attrib;
		
>
]]>
<!ENTITY % refpurpose.module "INCLUDE">
<![%refpurpose.module;[
<!ENTITY % refpurpose.role.attrib "%role.attrib;">
<!ELEMENT RefPurpose (%refinline.char.mix;)*>
<!ATTLIST RefPurpose
		%common.attrib;
		%refpurpose.role.attrib;
		
>
]]>
<!ENTITY % refclass.module "INCLUDE">
<![%refclass.module;[
<!ENTITY % refclass.role.attrib "%role.attrib;">
<!ELEMENT RefClass (%refclass.char.mix;)*>
<!ATTLIST RefClass
		%common.attrib;
		%refclass.role.attrib;
		
>
]]>
<!ENTITY % refsynopsisdiv.module "INCLUDE">
<![%refsynopsisdiv.module;[
<!ENTITY % refsynopsisdiv.role.attrib "%role.attrib;">
<!ELEMENT RefSynopsisDiv (RefSynopsisDivInfo?, (%refsect.title.content;)?,
		(((%refcomponent.mix;)+, RefSect2*) | (RefSect2+)))>
<!ATTLIST RefSynopsisDiv
		%common.attrib;
		%refsynopsisdiv.role.attrib;
		
>
]]>
<!ENTITY % refsect1.module "INCLUDE">
<![%refsect1.module;[
<!ENTITY % refsect1.role.attrib "%role.attrib;">
<!ELEMENT RefSect1 (RefSect1Info?, (%refsect.title.content;),
		(((%refcomponent.mix;)+, RefSect2*) | RefSect2+))>
<!ATTLIST RefSect1
		%status.attrib;
		%common.attrib;
		%refsect1.role.attrib;
		
>
]]>
<!ENTITY % refsect2.module "INCLUDE">
<![%refsect2.module;[
<!ENTITY % refsect2.role.attrib "%role.attrib;">
<!ELEMENT RefSect2 (RefSect2Info?, (%refsect.title.content;),
	(((%refcomponent.mix;)+, RefSect3*) | RefSect3+))>
<!ATTLIST RefSect2
		%status.attrib;
		%common.attrib;
		%refsect2.role.attrib;
		
>
]]>
<!ENTITY % refsect3.module "INCLUDE">
<![%refsect3.module;[
<!ENTITY % refsect3.role.attrib "%role.attrib;">
<!ELEMENT RefSect3 (RefSect3Info?, (%refsect.title.content;), 
	(%refcomponent.mix;)+)>
<!ATTLIST RefSect3
		%status.attrib;
		%common.attrib;
		%refsect3.role.attrib;
		
>
]]>
]]>

